org.eclipse.rdf4j.rio.helpers

## Class TriXParserSettings

- java.lang.Object
- - org.eclipse.rdf4j.rio.helpers.TriXParserSettings

-     public class TriXParserSettings
      extends Object

  ParserSettings for the TriX parser features.

  Several of these settings can be overridden by means of a system property, but only if specified at JVM startup time.

  Author:
    Peter Ansell

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static RioSetting<Boolean>` | `FAIL_ON_INVALID_STATEMENT` Boolean setting for parser to determine whether the TriX parser should treat invalid statements as an error.
    `static RioSetting<Boolean>` | `FAIL_ON_MISSING_DATATYPE` Boolean setting for parser to determine whether the TriX parser should treat missing datatypes as an error.
    `static RioSetting<Boolean>` | `FAIL_ON_TRIX_INVALID_STATEMENT` Deprecated. use `FAIL_ON_INVALID_STATEMENT` instead
    `static RioSetting<Boolean>` | `FAIL_ON_TRIX_MISSING_DATATYPE` Deprecated. use `FAIL_ON_MISSING_DATATYPE` instead.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FAIL_ON_MISSING_DATATYPE

          public static final RioSetting<Boolean> FAIL_ON_MISSING_DATATYPE

      Boolean setting for parser to determine whether the TriX parser should treat missing datatypes as an error.

      Defaults to true.

      Can be overridden by setting system property `org.eclipse.rdf4j.rio.trix.fail_on_missing_datatype`.

    - #### FAIL_ON_TRIX_MISSING_DATATYPE

          @Deprecated
          public static final RioSetting<Boolean> FAIL_ON_TRIX_MISSING_DATATYPE

      Deprecated. use `FAIL_ON_MISSING_DATATYPE` instead.

    - #### FAIL_ON_INVALID_STATEMENT

          public static final RioSetting<Boolean> FAIL_ON_INVALID_STATEMENT

      Boolean setting for parser to determine whether the TriX parser should treat invalid statements as an error.

      Defaults to true.

      Can be overridden by setting system property `org.eclipse.rdf4j.rio.trix.fail_on_invalid_statement`.

    - #### FAIL_ON_TRIX_INVALID_STATEMENT

          @Deprecated
          public static final RioSetting<Boolean> FAIL_ON_TRIX_INVALID_STATEMENT

      Deprecated. use `FAIL_ON_INVALID_STATEMENT` instead

Copyright © 2015-2022 Eclipse Foundation. All Rights Reserved.